/* 
 * File:   processor.h
 * Author: WHalphen
 *
 * Created on October 20,2016
 * 
 * PURPOSE
 * Sets configuration and initializes processor
 * 
 * FUNCTION
 * void proc_init(void); -- execute this function to initialize the processor
 */

#ifndef PROCESSOR_H
#define	PROCESSOR_H

#include "sys_config.h"
#include <stdio.h>
#include "msg_processor.h"

void proc_init(void);
int config_init(void);
void start_screen(void);
void set_msg_buffers(void);

#endif	/* PROCESSOR_H */
